#include <iostream>
using namespace std;
int main() {
    int n,l,br=0,min;
    cin>>n>>l;
    int a[n];
    cin>>a[0];
    min=a[0];
    for(int i=1;i<n;i++)
    {
        cin>>a[i];
        if(a[i]<min)
        min=a[i];
    }

    for(int i=0;i<n;i++){

        if(a[i]>l){
        br++;}
        else{
            if(a[i-1]==min)
            br++;
            else
            break;
            }
    }
    if(br==n)
    cout<<-1;
    else
    cout<<br+1;
    return 0;
}